/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2020-01-14
 * 描述            ：优特钢代加工成品公共表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Slm.OrderManagement.vo;
import java.io.Serializable;

import com.hnshituo.basic.vo.BaseVO;

public class IfTbl02CoilComm extends BaseVO implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 4496431002227280138L;
	/** 
	 * 冷轧钢卷号
	 */ 
	private String coil_no;
	public String getCoil_no() {
		return this.coil_no;
	}
	public void setCoil_no(String coil_no) {
		this.coil_no = coil_no;
	}

	/** 
	 * 板坯号              
	 */ 
	 
	private String slab_no;
	public String getSlab_no() {
		return this.slab_no;
	}
	public void setSlab_no(String slab_no) {
		this.slab_no = slab_no;
	}

	/** 
	 * 真实钢卷号
	 */ 
	 
	private String old_sampl_no;
	public String getOld_sampl_no() {
		return this.old_sampl_no;
	}
	public void setOld_sampl_no(String old_sampl_no) {
		this.old_sampl_no = old_sampl_no;
	}

	/** 
	 * 钢卷状态            
	 */ 
	 
	private String coil_stat;
	public String getCoil_stat() {
		return this.coil_stat;
	}
	public void setCoil_stat(String coil_stat) {
		this.coil_stat = coil_stat;
	}

	/** 
	 * 当前进程代码       
	 */ 
	 
	private String cur_prog_cd;
	public String getCur_prog_cd() {
		return this.cur_prog_cd;
	}
	public void setCur_prog_cd(String cur_prog_cd) {
		this.cur_prog_cd = cur_prog_cd;
	}

	/** 
	 * 当前进程记录时间      
	 */ 
	 
	private String cur_prog_cd_dtime;
	public String getCur_prog_cd_dtime() {
		return this.cur_prog_cd_dtime;
	}
	public void setCur_prog_cd_dtime(String cur_prog_cd_dtime) {
		this.cur_prog_cd_dtime = cur_prog_cd_dtime;
	}

	/** 
	 * 现进度登录程序ID    
	 */ 
	 
	private String cur_prog_cd_pgm;
	public String getCur_prog_cd_pgm() {
		return this.cur_prog_cd_pgm;
	}
	public void setCur_prog_cd_pgm(String cur_prog_cd_pgm) {
		this.cur_prog_cd_pgm = cur_prog_cd_pgm;
	}

	/** 
	 * 前一进度 代码       
	 */ 
	 
	private String bef_prog_cd;
	public String getBef_prog_cd() {
		return this.bef_prog_cd;
	}
	public void setBef_prog_cd(String bef_prog_cd) {
		this.bef_prog_cd = bef_prog_cd;
	}

	/** 
	 * 前一进度登陆时间    
	 */ 
	 
	private String bef_prog_cd_dtime;
	public String getBef_prog_cd_dtime() {
		return this.bef_prog_cd_dtime;
	}
	public void setBef_prog_cd_dtime(String bef_prog_cd_dtime) {
		this.bef_prog_cd_dtime = bef_prog_cd_dtime;
	}

	/** 
	 * 前一进度登录程序ID     
	 */ 
	 
	private String bef_prog_cd_pgm;
	public String getBef_prog_cd_pgm() {
		return this.bef_prog_cd_pgm;
	}
	public void setBef_prog_cd_pgm(String bef_prog_cd_pgm) {
		this.bef_prog_cd_pgm = bef_prog_cd_pgm;
	}

	/** 
	 * 前合同号              
	 */ 
	 
	private String org_ord_no;
	public String getOrg_ord_no() {
		return this.org_ord_no;
	}
	public void setOrg_ord_no(String org_ord_no) {
		this.org_ord_no = org_ord_no;
	}

	/** 
	 * 前订单号              
	 */ 
	 
	private String org_ord_seq;
	public String getOrg_ord_seq() {
		return this.org_ord_seq;
	}
	public void setOrg_ord_seq(String org_ord_seq) {
		this.org_ord_seq = org_ord_seq;
	}

	/** 
	 * 订单厚度        
	 */ 
	 
	private Double instr_coil_thk;
	public Double getInstr_coil_thk() {
		return this.instr_coil_thk;
	}
	public void setInstr_coil_thk(Double instr_coil_thk) {
		this.instr_coil_thk = instr_coil_thk;
	}

	/** 
	 * 订单宽度          
	 */ 
	 
	private Double instr_coil_wth;
	public Double getInstr_coil_wth() {
		return this.instr_coil_wth;
	}
	public void setInstr_coil_wth(Double instr_coil_wth) {
		this.instr_coil_wth = instr_coil_wth;
	}

	/** 
	 * 订单长度        
	 */ 
	 
	private Double instr_coil_len;
	public Double getInstr_coil_len() {
		return this.instr_coil_len;
	}
	public void setInstr_coil_len(Double instr_coil_len) {
		this.instr_coil_len = instr_coil_len;
	}

	/** 
	 * 订单内径        
	 */ 
	 
	private Long instr_coil_india;
	public Long getInstr_coil_india() {
		return this.instr_coil_india;
	}
	public void setInstr_coil_india(Long instr_coil_india) {
		this.instr_coil_india = instr_coil_india;
	}

	/** 
	 * 订单外径        
	 */ 
	 
	private Long instr_coil_outdia;
	public Long getInstr_coil_outdia() {
		return this.instr_coil_outdia;
	}
	public void setInstr_coil_outdia(Long instr_coil_outdia) {
		this.instr_coil_outdia = instr_coil_outdia;
	}

	/** 
	 * 订单重量        
	 */ 
	 
	private Long instr_coil_wgt;
	public Long getInstr_coil_wgt() {
		return this.instr_coil_wgt;
	}
	public void setInstr_coil_wgt(Long instr_coil_wgt) {
		this.instr_coil_wgt = instr_coil_wgt;
	}

	/** 
	 * 交货期              
	 */ 
	 
	private String devlmt_dtime;
	public String getDevlmt_dtime() {
		return this.devlmt_dtime;
	}
	public void setDevlmt_dtime(String devlmt_dtime) {
		this.devlmt_dtime = devlmt_dtime;
	}

	/** 
	 * 目的地代码          
	 */ 
	 
	private String dest_cd;
	public String getDest_cd() {
		return this.dest_cd;
	}
	public void setDest_cd(String dest_cd) {
		this.dest_cd = dest_cd;
	}

	/** 
	 * 客户代码          
	 */ 
	 
	private String ordcust_cd;
	public String getOrdcust_cd() {
		return this.ordcust_cd;
	}
	public void setOrdcust_cd(String ordcust_cd) {
		this.ordcust_cd = ordcust_cd;
	}

	/** 
	 * 客户公司代码        
	 */ 
	 
	private String cust_cd;
	public String getCust_cd() {
		return this.cust_cd;
	}
	public void setCust_cd(String cust_cd) {
		this.cust_cd = cust_cd;
	}

	/** 
	 * 实际钢卷长度            
	 */ 
	 
	private Double coil_len;
	public Double getCoil_len() {
		return this.coil_len;
	}
	public void setCoil_len(Double coil_len) {
		this.coil_len = coil_len;
	}

	/** 
	 * 实际钢卷内径            
	 */ 
	 
	private Double coil_india;
	public Double getCoil_india() {
		return this.coil_india;
	}
	public void setCoil_india(Double coil_india) {
		this.coil_india = coil_india;
	}

	/** 
	 * 实际钢卷外径            
	 */ 
	 
	private Long coil_outdia;
	public Long getCoil_outdia() {
		return this.coil_outdia;
	}
	public void setCoil_outdia(Long coil_outdia) {
		this.coil_outdia = coil_outdia;
	}

	/** 
	 * 计算重量            
	 */ 
	 
	private Long cal_wgt;
	public Long getCal_wgt() {
		return this.cal_wgt;
	}
	public void setCal_wgt(Long cal_wgt) {
		this.cal_wgt = cal_wgt;
	}

	/** 
	 * 钢卷厚度            
	 */ 
	 
	private Double coil_thk;
	public Double getCoil_thk() {
		return this.coil_thk;
	}
	public void setCoil_thk(Double coil_thk) {
		this.coil_thk = coil_thk;
	}

	/** 
	 * 钢卷宽度              
	 */ 
	 
	private Double coil_wth;
	public Double getCoil_wth() {
		return this.coil_wth;
	}
	public void setCoil_wth(Double coil_wth) {
		this.coil_wth = coil_wth;
	}

	/** 
	 * 实际钢卷重量              
	 */ 
	 
	private Double act_wgt;
	public Double getAct_wgt() {
		return this.act_wgt;
	}
	public void setAct_wgt(Double act_wgt) {
		this.act_wgt = act_wgt;
	}

	/** 
	 * 产品余材区分        
	 */ 
	 
	private String ord_fl;
	public String getOrd_fl() {
		return this.ord_fl;
	}
	public void setOrd_fl(String ord_fl) {
		this.ord_fl = ord_fl;
	}

	/** 
	 * 合同号              
	 */ 
	 
	private String ord_no;
	public String getOrd_no() {
		return this.ord_no;
	}
	public void setOrd_no(String ord_no) {
		this.ord_no = ord_no;
	}

	/** 
	 * 订单号              
	 */ 
	 
	private String ord_seq;
	public String getOrd_seq() {
		return this.ord_seq;
	}
	public void setOrd_seq(String ord_seq) {
		this.ord_seq = ord_seq;
	}

	/** 
	 * 产品代码            
	 */ 
	 
	private String prodnm_cd;
	public String getProdnm_cd() {
		return this.prodnm_cd;
	}
	public void setProdnm_cd(String prodnm_cd) {
		this.prodnm_cd = prodnm_cd;
	}

	/** 
	 * 规格略号            
	 */ 
	 
	private String spec_abbsym;
	public String getSpec_abbsym() {
		return this.spec_abbsym;
	}
	public void setSpec_abbsym(String spec_abbsym) {
		this.spec_abbsym = spec_abbsym;
	}

	/** 
	 * 标准钢号            
	 */ 
	 
	private String spec_stl_grd;
	public String getSpec_stl_grd() {
		return this.spec_stl_grd;
	}
	public void setSpec_stl_grd(String spec_stl_grd) {
		this.spec_stl_grd = spec_stl_grd;
	}

	/** 
	 * 订单用途代码        
	 */ 
	 
	private String ord_use_cd;
	public String getOrd_use_cd() {
		return this.ord_use_cd;
	}
	public void setOrd_use_cd(String ord_use_cd) {
		this.ord_use_cd = ord_use_cd;
	}

	/** 
	 * 钢号                
	 */ 
	 
	private String stl_grd;
	public String getStl_grd() {
		return this.stl_grd;
	}
	public void setStl_grd(String stl_grd) {
		this.stl_grd = stl_grd;
	}

	/** 
	 * 指示处理路径        
	 */ 
	 
	private String path_mill_cd;
	public String getPath_mill_cd() {
		return this.path_mill_cd;
	}
	public void setPath_mill_cd(String path_mill_cd) {
		this.path_mill_cd = path_mill_cd;
	}

	/** 
	 * 成分判定等级        
	 */ 
	 
	private String ingr_dec_grd;
	public String getIngr_dec_grd() {
		return this.ingr_dec_grd;
	}
	public void setIngr_dec_grd(String ingr_dec_grd) {
		this.ingr_dec_grd = ingr_dec_grd;
	}

	/** 
	 * 外观判定等级        
	 */ 
	 
	private String extshape_dec_grd;
	public String getExtshape_dec_grd() {
		return this.extshape_dec_grd;
	}
	public void setExtshape_dec_grd(String extshape_dec_grd) {
		this.extshape_dec_grd = extshape_dec_grd;
	}

	/** 
	 * SIZE判定等级        
	 */ 
	 
	private String size_dec_rst;
	public String getSize_dec_rst() {
		return this.size_dec_rst;
	}
	public void setSize_dec_rst(String size_dec_rst) {
		this.size_dec_rst = size_dec_rst;
	}

	/** 
	 * 重量判定等级        
	 */ 
	 
	private String wgt_dec_rst;
	public String getWgt_dec_rst() {
		return this.wgt_dec_rst;
	}
	public void setWgt_dec_rst(String wgt_dec_rst) {
		this.wgt_dec_rst = wgt_dec_rst;
	}

	/** 
	 * 工艺流程判定        
	 */ 
	 
	private String proc_dec_rst;
	public String getProc_dec_rst() {
		return this.proc_dec_rst;
	}
	public void setProc_dec_rst(String proc_dec_rst) {
		this.proc_dec_rst = proc_dec_rst;
	}

	/** 
	 * 材质判定等级        
	 */ 
	 
	private String matlqlty_dec_grd;
	public String getMatlqlty_dec_grd() {
		return this.matlqlty_dec_grd;
	}
	public void setMatlqlty_dec_grd(String matlqlty_dec_grd) {
		this.matlqlty_dec_grd = matlqlty_dec_grd;
	}

	/** 
	 * 综合判定等级        
	 */ 
	 
	private String tot_dec_grd;
	public String getTot_dec_grd() {
		return this.tot_dec_grd;
	}
	public void setTot_dec_grd(String tot_dec_grd) {
		this.tot_dec_grd = tot_dec_grd;
	}

	/** 
	 * 轧钢时间            
	 */ 
	 
	private String mill_dtime;
	public String getMill_dtime() {
		return this.mill_dtime;
	}
	public void setMill_dtime(String mill_dtime) {
		this.mill_dtime = mill_dtime;
	}

	/** 
	 * 现在堆放位置        
	 */ 
	 
	private String cur_load_loc;
	public String getCur_load_loc() {
		return this.cur_load_loc;
	}
	public void setCur_load_loc(String cur_load_loc) {
		this.cur_load_loc = cur_load_loc;
	}

	/** 
	 * 现在堆放位置登陆时间
	 */ 
	 
	private String cur_load_loc_dtime;
	public String getCur_load_loc_dtime() {
		return this.cur_load_loc_dtime;
	}
	public void setCur_load_loc_dtime(String cur_load_loc_dtime) {
		this.cur_load_loc_dtime = cur_load_loc_dtime;
	}

	/** 
	 * 之前堆放位置        
	 */ 
	 
	private String bef_load_loc;
	public String getBef_load_loc() {
		return this.bef_load_loc;
	}
	public void setBef_load_loc(String bef_load_loc) {
		this.bef_load_loc = bef_load_loc;
	}

	/** 
	 * 之前堆放位置登陆时间
	 */ 
	 
	private String bef_load_loc_dtime;
	public String getBef_load_loc_dtime() {
		return this.bef_load_loc_dtime;
	}
	public void setBef_load_loc_dtime(String bef_load_loc_dtime) {
		this.bef_load_loc_dtime = bef_load_loc_dtime;
	}

	/** 
	 * 瑕疵 代码1          
	 */ 
	 
	private String crk_cd1;
	public String getCrk_cd1() {
		return this.crk_cd1;
	}
	public void setCrk_cd1(String crk_cd1) {
		this.crk_cd1 = crk_cd1;
	}

	/** 
	 * 瑕疵 代码2          
	 */ 
	 
	private String crk_cd2;
	public String getCrk_cd2() {
		return this.crk_cd2;
	}
	public void setCrk_cd2(String crk_cd2) {
		this.crk_cd2 = crk_cd2;
	}

	/** 
	 * 瑕疵 代码3          
	 */ 
	 
	private String crk_cd3;
	public String getCrk_cd3() {
		return this.crk_cd3;
	}
	public void setCrk_cd3(String crk_cd3) {
		this.crk_cd3 = crk_cd3;
	}

	/** 
	 * 瑕疵 代码4          
	 */ 
	 
	private String crk_cd4;
	public String getCrk_cd4() {
		return this.crk_cd4;
	}
	public void setCrk_cd4(String crk_cd4) {
		this.crk_cd4 = crk_cd4;
	}

	/** 
	 * 瑕疵 代码5          
	 */ 
	 
	private String crk_cd5;
	public String getCrk_cd5() {
		return this.crk_cd5;
	}
	public void setCrk_cd5(String crk_cd5) {
		this.crk_cd5 = crk_cd5;
	}

	/** 
	 * 出库人
	 */ 
	 
	private String trnf_reg;
	public String getTrnf_reg() {
		return this.trnf_reg;
	}
	public void setTrnf_reg(String trnf_reg) {
		this.trnf_reg = trnf_reg;
	}

	/** 
	 * 入库人
	 */ 
	 
	private String yard_entry_reg;
	public String getYard_entry_reg() {
		return this.yard_entry_reg;
	}
	public void setYard_entry_reg(String yard_entry_reg) {
		this.yard_entry_reg = yard_entry_reg;
	}

	/** 
	 * 入库班次
	 */ 
	 
	private String yard_entry_shift;
	public String getYard_entry_shift() {
		return this.yard_entry_shift;
	}
	public void setYard_entry_shift(String yard_entry_shift) {
		this.yard_entry_shift = yard_entry_shift;
	}

	/** 
	 * 入库班组
	 */ 
	 
	private String yard_entry_group;
	public String getYard_entry_group() {
		return this.yard_entry_group;
	}
	public void setYard_entry_group(String yard_entry_group) {
		this.yard_entry_group = yard_entry_group;
	}

	/** 
	 * 入库操作时间
	 */ 
	 
	private String yard_entry_use_time;
	public String getYard_entry_use_time() {
		return this.yard_entry_use_time;
	}
	public void setYard_entry_use_time(String yard_entry_use_time) {
		this.yard_entry_use_time = yard_entry_use_time;
	}

	/** 
	 * 出库班次
	 */ 
	 
	private String trnf_shift;
	public String getTrnf_shift() {
		return this.trnf_shift;
	}
	public void setTrnf_shift(String trnf_shift) {
		this.trnf_shift = trnf_shift;
	}

	/** 
	 * 出库班组
	 */ 
	 
	private String trnf_group;
	public String getTrnf_group() {
		return this.trnf_group;
	}
	public void setTrnf_group(String trnf_group) {
		this.trnf_group = trnf_group;
	}

	/** 
	 * 出库操作时间
	 */ 
	 
	private String trnf_use_time;
	public String getTrnf_use_time() {
		return this.trnf_use_time;
	}
	public void setTrnf_use_time(String trnf_use_time) {
		this.trnf_use_time = trnf_use_time;
	}

	/** 
	 * 实去向    
	 */ 
	 
	private String route;
	public String getRoute() {
		return this.route;
	}
	public void setRoute(String route) {
		this.route = route;
	}

	/** 
	 *                     
	 */ 
	 
	private String isused;
	public String getIsused() {
		return this.isused;
	}
	public void setIsused(String isused) {
		this.isused = isused;
	}

	/** 
	 * 车辆号
	 */ 
	 
	private String trans_car_no;
	public String getTrans_car_no() {
		return this.trans_car_no;
	}
	public void setTrans_car_no(String trans_car_no) {
		this.trans_car_no = trans_car_no;
	}

	/** 
	 * 排车顺序号
	 */ 
	 
	private String train_step_no;
	public String getTrain_step_no() {
		return this.train_step_no;
	}
	public void setTrain_step_no(String train_step_no) {
		this.train_step_no = train_step_no;
	}

	/** 
	 * 出库指示时间
	 */ 
	 
	private String ship_dir_dtime;
	public String getShip_dir_dtime() {
		return this.ship_dir_dtime;
	}
	public void setShip_dir_dtime(String ship_dir_dtime) {
		this.ship_dir_dtime = ship_dir_dtime;
	}

	/** 
	 * null
	 */ 
	 
	private String dliv_tp;
	public String getDliv_tp() {
		return this.dliv_tp;
	}
	public void setDliv_tp(String dliv_tp) {
		this.dliv_tp = dliv_tp;
	}

	/** 
	 * 出库清单号码        
	 */ 
	 
	private String ship_invno;
	public String getShip_invno() {
		return this.ship_invno;
	}
	public void setShip_invno(String ship_invno) {
		this.ship_invno = ship_invno;
	}

	/** 
	 * 运送指示号          
	 */ 
	 
	private String dliv_dirno;
	public String getDliv_dirno() {
		return this.dliv_dirno;
	}
	public void setDliv_dirno(String dliv_dirno) {
		this.dliv_dirno = dliv_dirno;
	}

	/** 
	 * 入库时间
	 */ 
	 
	private String yard_entry_dtime;
	public String getYard_entry_dtime() {
		return this.yard_entry_dtime;
	}
	public void setYard_entry_dtime(String yard_entry_dtime) {
		this.yard_entry_dtime = yard_entry_dtime;
	}

	/** 
	 * 出库时间
	 */ 
	 
	private String trnf_dtime;
	public String getTrnf_dtime() {
		return this.trnf_dtime;
	}
	public void setTrnf_dtime(String trnf_dtime) {
		this.trnf_dtime = trnf_dtime;
	}

	/** 
	 * null
	 */ 
	 
	private String ship_prog_cd;
	public String getShip_prog_cd() {
		return this.ship_prog_cd;
	}
	public void setShip_prog_cd(String ship_prog_cd) {
		this.ship_prog_cd = ship_prog_cd;
	}

	/** 
	 * null
	 */ 
	 
	private String ship_dirno;
	public String getShip_dirno() {
		return this.ship_dirno;
	}
	public void setShip_dirno(String ship_dirno) {
		this.ship_dirno = ship_dirno;
	}

	/** 
	 * null
	 */ 
	 
	private String qk_yn;
	public String getQk_yn() {
		return this.qk_yn;
	}
	public void setQk_yn(String qk_yn) {
		this.qk_yn = qk_yn;
	}

	/** 
	 * 钢卷颜色
	 */ 
	 
	private String hcolour_rem;
	public String getHcolour_rem() {
		return this.hcolour_rem;
	}
	public void setHcolour_rem(String hcolour_rem) {
		this.hcolour_rem = hcolour_rem;
	}

	/** 
	 * null
	 */ 
	 
	private String reg_pgm;
	public String getReg_pgm() {
		return this.reg_pgm;
	}
	public void setReg_pgm(String reg_pgm) {
		this.reg_pgm = reg_pgm;
	}

	/** 
	 * null
	 */ 
	 
	private String rem_yard;
	public String getRem_yard() {
		return this.rem_yard;
	}
	public void setRem_yard(String rem_yard) {
		this.rem_yard = rem_yard;
	}

	/** 
	 * 试样号
	 */ 
	 
	private String smp_no;
	public String getSmp_no() {
		return this.smp_no;
	}
	public void setSmp_no(String smp_no) {
		this.smp_no = smp_no;
	}

	/** 
	 * 取样位置
	 */ 
	 
	private String smp_cut_loc;
	public String getSmp_cut_loc() {
		return this.smp_cut_loc;
	}
	public void setSmp_cut_loc(String smp_cut_loc) {
		this.smp_cut_loc = smp_cut_loc;
	}

	/** 
	 * 是否取样
	 */ 
	 
	private String smp_dir_pic_yn;
	public String getSmp_dir_pic_yn() {
		return this.smp_dir_pic_yn;
	}
	public void setSmp_dir_pic_yn(String smp_dir_pic_yn) {
		this.smp_dir_pic_yn = smp_dir_pic_yn;
	}

	/** 
	 * 有无取样
	 */ 
	 
	private String smp_pick_yn;
	public String getSmp_pick_yn() {
		return this.smp_pick_yn;
	}
	public void setSmp_pick_yn(String smp_pick_yn) {
		this.smp_pick_yn = smp_pick_yn;
	}

	/** 
	 * 改判标记
	 */ 
	 
	private String charge_stl_grd;
	public String getCharge_stl_grd() {
		return this.charge_stl_grd;
	}
	public void setCharge_stl_grd(String charge_stl_grd) {
		this.charge_stl_grd = charge_stl_grd;
	}

	/** 
	 * 外观质量等级
	 */ 
	 
	private String extshape_quality;
	public String getExtshape_quality() {
		return this.extshape_quality;
	}
	public void setExtshape_quality(String extshape_quality) {
		this.extshape_quality = extshape_quality;
	}

	/** 
	 * 热轧钢卷号1
	 */ 
	 
	private String h_coil_no1;
	public String getH_coil_no1() {
		return this.h_coil_no1;
	}
	public void setH_coil_no1(String h_coil_no1) {
		this.h_coil_no1 = h_coil_no1;
	}

	/** 
	 * 热轧钢卷长度1
	 */ 
	 
	private Long h_coil_len_1;
	public Long getH_coil_len_1() {
		return this.h_coil_len_1;
	}
	public void setH_coil_len_1(Long h_coil_len_1) {
		this.h_coil_len_1 = h_coil_len_1;
	}

	/** 
	 * 热轧钢卷号2
	 */ 
	 
	private String h_coil_no2;
	public String getH_coil_no2() {
		return this.h_coil_no2;
	}
	public void setH_coil_no2(String h_coil_no2) {
		this.h_coil_no2 = h_coil_no2;
	}

	/** 
	 * 热轧钢卷长度2
	 */ 
	 
	private Long h_coil_len2;
	public Long getH_coil_len2() {
		return this.h_coil_len2;
	}
	public void setH_coil_len2(Long h_coil_len2) {
		this.h_coil_len2 = h_coil_len2;
	}

	/** 
	 * 热轧钢卷号3
	 */ 
	 
	private String h_coil_no3;
	public String getH_coil_no3() {
		return this.h_coil_no3;
	}
	public void setH_coil_no3(String h_coil_no3) {
		this.h_coil_no3 = h_coil_no3;
	}

	/** 
	 * 热轧钢卷长度3
	 */ 
	 
	private Long h_coil_len3;
	public Long getH_coil_len3() {
		return this.h_coil_len3;
	}
	public void setH_coil_len3(Long h_coil_len3) {
		this.h_coil_len3 = h_coil_len3;
	}

	/** 
	 * 发货指示号子号
	 */ 
	 
	private String ship_dirno_tmp;
	public String getShip_dirno_tmp() {
		return this.ship_dirno_tmp;
	}
	public void setShip_dirno_tmp(String ship_dirno_tmp) {
		this.ship_dirno_tmp = ship_dirno_tmp;
	}

	/** 
	 * 是否有性能要求
	 */ 
	 
	private String ingr_only_tp;
	public String getIngr_only_tp() {
		return this.ingr_only_tp;
	}
	public void setIngr_only_tp(String ingr_only_tp) {
		this.ingr_only_tp = ingr_only_tp;
	}

	/** 
	 * 生成试样号的时间
	 */ 
	 
	private String smp_no_dtime;
	public String getSmp_no_dtime() {
		return this.smp_no_dtime;
	}
	public void setSmp_no_dtime(String smp_no_dtime) {
		this.smp_no_dtime = smp_no_dtime;
	}

	/** 
	 * 轧废区分 0 否 1是
	 */ 
	 
	private String missno_clf_cd;
	public String getMissno_clf_cd() {
		return this.missno_clf_cd;
	}
	public void setMissno_clf_cd(String missno_clf_cd) {
		this.missno_clf_cd = missno_clf_cd;
	}

	/** 
	 * 轧废原因代码
	 */ 
	 
	private String missno_cause_cd;
	public String getMissno_cause_cd() {
		return this.missno_cause_cd;
	}
	public void setMissno_cause_cd(String missno_cause_cd) {
		this.missno_cause_cd = missno_cause_cd;
	}

	/** 
	 * 轧废时间
	 */ 
	 
	private String missno_dtime;
	public String getMissno_dtime() {
		return this.missno_dtime;
	}
	public void setMissno_dtime(String missno_dtime) {
		this.missno_dtime = missno_dtime;
	}

	/** 
	 * 余材原因
	 */ 
	 
	private String nonord_cause_cd;
	public String getNonord_cause_cd() {
		return this.nonord_cause_cd;
	}
	public void setNonord_cause_cd(String nonord_cause_cd) {
		this.nonord_cause_cd = nonord_cause_cd;
	}

	/** 
	 * 余材时间
	 */ 
	 
	private String nonord_ocr_dtime;
	public String getNonord_ocr_dtime() {
		return this.nonord_ocr_dtime;
	}
	public void setNonord_ocr_dtime(String nonord_ocr_dtime) {
		this.nonord_ocr_dtime = nonord_ocr_dtime;
	}

	/** 
	 * 成分判定时间        
	 */ 
	 
	private String ingr_dec_dtime;
	public String getIngr_dec_dtime() {
		return this.ingr_dec_dtime;
	}
	public void setIngr_dec_dtime(String ingr_dec_dtime) {
		this.ingr_dec_dtime = ingr_dec_dtime;
	}

	/** 
	 * 外观判定时间        
	 */ 
	 
	private String extshape_dec_dtime;
	public String getExtshape_dec_dtime() {
		return this.extshape_dec_dtime;
	}
	public void setExtshape_dec_dtime(String extshape_dec_dtime) {
		this.extshape_dec_dtime = extshape_dec_dtime;
	}

	/** 
	 * 材质判定时间        
	 */ 
	 
	private String matlqlty_dec_dtime;
	public String getMatlqlty_dec_dtime() {
		return this.matlqlty_dec_dtime;
	}
	public void setMatlqlty_dec_dtime(String matlqlty_dec_dtime) {
		this.matlqlty_dec_dtime = matlqlty_dec_dtime;
	}

	/** 
	 * 综合判定时间        
	 */ 
	 
	private String tot_dec_dtime;
	public String getTot_dec_dtime() {
		return this.tot_dec_dtime;
	}
	public void setTot_dec_dtime(String tot_dec_dtime) {
		this.tot_dec_dtime = tot_dec_dtime;
	}

	/** 
	 * 盘入人
	 */ 
	 
	private String coil_in_reg;
	public String getCoil_in_reg() {
		return this.coil_in_reg;
	}
	public void setCoil_in_reg(String coil_in_reg) {
		this.coil_in_reg = coil_in_reg;
	}

	/** 
	 * 盘入时间
	 */ 
	 
	private String coil_in_dtime;
	public String getCoil_in_dtime() {
		return this.coil_in_dtime;
	}
	public void setCoil_in_dtime(String coil_in_dtime) {
		this.coil_in_dtime = coil_in_dtime;
	}

	/** 
	 * 盘出人
	 */ 
	 
	private String coil_out_reg;
	public String getCoil_out_reg() {
		return this.coil_out_reg;
	}
	public void setCoil_out_reg(String coil_out_reg) {
		this.coil_out_reg = coil_out_reg;
	}

	/** 
	 * 盘出时间
	 */ 
	 
	private String coil_out_dtime;
	public String getCoil_out_dtime() {
		return this.coil_out_dtime;
	}
	public void setCoil_out_dtime(String coil_out_dtime) {
		this.coil_out_dtime = coil_out_dtime;
	}

	/** 
	 * 判定厚度
	 */ 
	 
	private Double dcs_thk;
	public Double getDcs_thk() {
		return this.dcs_thk;
	}
	public void setDcs_thk(Double dcs_thk) {
		this.dcs_thk = dcs_thk;
	}

	/** 
	 * 判定宽度
	 */ 
	 
	private Double dcs_wth;
	public Double getDcs_wth() {
		return this.dcs_wth;
	}
	public void setDcs_wth(Double dcs_wth) {
		this.dcs_wth = dcs_wth;
	}

	/** 
	 * 瑕疵代码1类型
	 */ 
	 
	private String crk_cd1_type;
	public String getCrk_cd1_type() {
		return this.crk_cd1_type;
	}
	public void setCrk_cd1_type(String crk_cd1_type) {
		this.crk_cd1_type = crk_cd1_type;
	}

	/** 
	 * 瑕疵代码2类型
	 */ 
	 
	private String crk_cd2_type;
	public String getCrk_cd2_type() {
		return this.crk_cd2_type;
	}
	public void setCrk_cd2_type(String crk_cd2_type) {
		this.crk_cd2_type = crk_cd2_type;
	}

	/** 
	 * 瑕疵代码3类型
	 */ 
	 
	private String crk_cd3_type;
	public String getCrk_cd3_type() {
		return this.crk_cd3_type;
	}
	public void setCrk_cd3_type(String crk_cd3_type) {
		this.crk_cd3_type = crk_cd3_type;
	}

	/** 
	 * 瑕疵代码4类型
	 */ 
	 
	private String crk_cd4_type;
	public String getCrk_cd4_type() {
		return this.crk_cd4_type;
	}
	public void setCrk_cd4_type(String crk_cd4_type) {
		this.crk_cd4_type = crk_cd4_type;
	}

	/** 
	 * 瑕疵代码5类型
	 */ 
	 
	private String crk_cd5_type;
	public String getCrk_cd5_type() {
		return this.crk_cd5_type;
	}
	public void setCrk_cd5_type(String crk_cd5_type) {
		this.crk_cd5_type = crk_cd5_type;
	}

	/** 
	 * 实绩修改人
	 */ 
	 
	private String wk_emp_use_no;
	public String getWk_emp_use_no() {
		return this.wk_emp_use_no;
	}
	public void setWk_emp_use_no(String wk_emp_use_no) {
		this.wk_emp_use_no = wk_emp_use_no;
	}

	/** 
	 * 实绩修改时间
	 */ 
	 
	private String wk_emp_use_dtime;
	public String getWk_emp_use_dtime() {
		return this.wk_emp_use_dtime;
	}
	public void setWk_emp_use_dtime(String wk_emp_use_dtime) {
		this.wk_emp_use_dtime = wk_emp_use_dtime;
	}

	/** 
	 * 质保书编号
	 */ 
	 
	private String cret_no;
	public String getCret_no() {
		return this.cret_no;
	}
	public void setCret_no(String cret_no) {
		this.cret_no = cret_no;
	}

	/** 
	 * 明细回退人
	 */ 
	 
	private String return_ship_reg;
	public String getReturn_ship_reg() {
		return this.return_ship_reg;
	}
	public void setReturn_ship_reg(String return_ship_reg) {
		this.return_ship_reg = return_ship_reg;
	}

	/** 
	 * 明细回退时间
	 */ 
	 
	private String return_ship_dtime;
	public String getReturn_ship_dtime() {
		return this.return_ship_dtime;
	}
	public void setReturn_ship_dtime(String return_ship_dtime) {
		this.return_ship_dtime = return_ship_dtime;
	}

	/** 
	 * 退明细前出库清单号
	 */ 
	 
	private String bef_ship_invno;
	public String getBef_ship_invno() {
		return this.bef_ship_invno;
	}
	public void setBef_ship_invno(String bef_ship_invno) {
		this.bef_ship_invno = bef_ship_invno;
	}

	/** 
	 * 退明细前质保书号
	 */ 
	 
	private String bef_cret_no;
	public String getBef_cret_no() {
		return this.bef_cret_no;
	}
	public void setBef_cret_no(String bef_cret_no) {
		this.bef_cret_no = bef_cret_no;
	}

	/** 
	 * 草支垫重量
	 */ 
	 
	private String czd_wgt;
	public String getCzd_wgt() {
		return this.czd_wgt;
	}
	public void setCzd_wgt(String czd_wgt) {
		this.czd_wgt = czd_wgt;
	}

	/** 
	 * 综合判定人
	 */ 
	 
	private String tot_dec_emp_id;
	public String getTot_dec_emp_id() {
		return this.tot_dec_emp_id;
	}
	public void setTot_dec_emp_id(String tot_dec_emp_id) {
		this.tot_dec_emp_id = tot_dec_emp_id;
	}

	/** 
	 * 已分卷
	 */ 
	 
	private String coil_cut_yn;
	public String getCoil_cut_yn() {
		return this.coil_cut_yn;
	}
	public void setCoil_cut_yn(String coil_cut_yn) {
		this.coil_cut_yn = coil_cut_yn;
	}

	/** 
	 * 是否包装(0-未包装;1-已包装)
	 */ 
	 
	private String package_fl;
	public String getPackage_fl() {
		return this.package_fl;
	}
	public void setPackage_fl(String package_fl) {
		this.package_fl = package_fl;
	}

	/** 
	 * 包装等级(1-不包;2-简包;3-普包;4-精包)
	 */ 
	 
	private String package_level;
	public String getPackage_level() {
		return this.package_level;
	}
	public void setPackage_level(String package_level) {
		this.package_level = package_level;
	}

	/** 
	 * 包装班次
	 */ 
	 
	private String package_shift;
	public String getPackage_shift() {
		return this.package_shift;
	}
	public void setPackage_shift(String package_shift) {
		this.package_shift = package_shift;
	}

	/** 
	 * 包装班组
	 */ 
	 
	private String package_group;
	public String getPackage_group() {
		return this.package_group;
	}
	public void setPackage_group(String package_group) {
		this.package_group = package_group;
	}

	/** 
	 * 包装人
	 */ 
	 
	private String package_reg;
	public String getPackage_reg() {
		return this.package_reg;
	}
	public void setPackage_reg(String package_reg) {
		this.package_reg = package_reg;
	}

	/** 
	 * 包装时间
	 */ 
	 
	private String package_dtime;
	public String getPackage_dtime() {
		return this.package_dtime;
	}
	public void setPackage_dtime(String package_dtime) {
		this.package_dtime = package_dtime;
	}

	/** 
	 * 包装操作时间
	 */ 
	 
	private String package_use_time;
	public String getPackage_use_time() {
		return this.package_use_time;
	}
	public void setPackage_use_time(String package_use_time) {
		this.package_use_time = package_use_time;
	}

	/** 
	 * 0未做计划，1已做计划
	 */ 
	 
	private String fl;
	public String getFl() {
		return this.fl;
	}
	public void setFl(String fl) {
		this.fl = fl;
	}

	/** 
	 * 接受重量、尺寸数据，并判定时间
	 */ 
	 
	private String ricv_ingr_dtime;
	public String getRicv_ingr_dtime() {
		return this.ricv_ingr_dtime;
	}
	public void setRicv_ingr_dtime(String ricv_ingr_dtime) {
		this.ricv_ingr_dtime = ricv_ingr_dtime;
	}

	/** 
	 * 钢卷入库类型：1--酸轧入库；2--吊销退回；3----轧废；4--盘入
	 */ 
	 
	private String in_yard_kind;
	public String getIn_yard_kind() {
		return this.in_yard_kind;
	}
	public void setIn_yard_kind(String in_yard_kind) {
		this.in_yard_kind = in_yard_kind;
	}

	/** 
	 * null
	 */ 
	 
	private String out_yard_kind;
	public String getOut_yard_kind() {
		return this.out_yard_kind;
	}
	public void setOut_yard_kind(String out_yard_kind) {
		this.out_yard_kind = out_yard_kind;
	}

	/** 
	 * null
	 */ 
	 
	private String prdnm_cd;
	public String getPrdnm_cd() {
		return this.prdnm_cd;
	}
	public void setPrdnm_cd(String prdnm_cd) {
		this.prdnm_cd = prdnm_cd;
	}

	/** 
	 * null
	 */ 
	 
	private String tot_dec_type;
	public String getTot_dec_type() {
		return this.tot_dec_type;
	}
	public void setTot_dec_type(String tot_dec_type) {
		this.tot_dec_type = tot_dec_type;
	}

	/** 
	 * 外观判定人
	 */ 
	 
	private String extshape_dec_id;
	public String getExtshape_dec_id() {
		return this.extshape_dec_id;
	}
	public void setExtshape_dec_id(String extshape_dec_id) {
		this.extshape_dec_id = extshape_dec_id;
	}

	/** 
	 * 连退次数
	 */ 
	 
	private Long rcal_cnt;
	public Long getRcal_cnt() {
		return this.rcal_cnt;
	}
	public void setRcal_cnt(Long rcal_cnt) {
		this.rcal_cnt = rcal_cnt;
	}

	/** 
	 * 连退类型(1正常退火2返修3过渡)
	 */ 
	 
	private Long cal_type;
	public Long getCal_type() {
		return this.cal_type;
	}
	public void setCal_type(Long cal_type) {
		this.cal_type = cal_type;
	}

	/** 
	 * null
	 */ 
	 
	private String bef_stl_grd;
	public String getBef_stl_grd() {
		return this.bef_stl_grd;
	}
	public void setBef_stl_grd(String bef_stl_grd) {
		this.bef_stl_grd = bef_stl_grd;
	}

	/** 
	 * 酸轧作业班次
	 */ 
	 
	private String mill_shift;
	public String getMill_shift() {
		return this.mill_shift;
	}
	public void setMill_shift(String mill_shift) {
		this.mill_shift = mill_shift;
	}

	/** 
	 * 酸轧作业班组
	 */ 
	 
	private String mill_group;
	public String getMill_group() {
		return this.mill_group;
	}
	public void setMill_group(String mill_group) {
		this.mill_group = mill_group;
	}

	/** 
	 * 酸轧作业人
	 */ 
	 
	private String mill_reg_id;
	public String getMill_reg_id() {
		return this.mill_reg_id;
	}
	public void setMill_reg_id(String mill_reg_id) {
		this.mill_reg_id = mill_reg_id;
	}

	/** 
	 * 封闭
	 */ 
	 
	private String fb_yn;
	public String getFb_yn() {
		return this.fb_yn;
	}
	public void setFb_yn(String fb_yn) {
		this.fb_yn = fb_yn;
	}

	/** 
	 * 二级库存
	 */ 
	 
	private String defective;
	public String getDefective() {
		return this.defective;
	}
	public void setDefective(String defective) {
		this.defective = defective;
	}

	/** 
	 * 录入厚度        
	 */ 
	 
	private Double manu_coil_thk;
	public Double getManu_coil_thk() {
		return this.manu_coil_thk;
	}
	public void setManu_coil_thk(Double manu_coil_thk) {
		this.manu_coil_thk = manu_coil_thk;
	}

	/** 
	 * 录入宽度          
	 */ 
	 
	private Double manu_coil_wth;
	public Double getManu_coil_wth() {
		return this.manu_coil_wth;
	}
	public void setManu_coil_wth(Double manu_coil_wth) {
		this.manu_coil_wth = manu_coil_wth;
	}

	/** 
	 * 是否切边
	 */ 
	 
	private String cut_edge_yn;
	public String getCut_edge_yn() {
		return this.cut_edge_yn;
	}
	public void setCut_edge_yn(String cut_edge_yn) {
		this.cut_edge_yn = cut_edge_yn;
	}

	/** 
	 * 返修之前钢卷号
	 */ 
	 
	private String ori_old_sampl_no;
	public String getOri_old_sampl_no() {
		return this.ori_old_sampl_no;
	}
	public void setOri_old_sampl_no(String ori_old_sampl_no) {
		this.ori_old_sampl_no = ori_old_sampl_no;
	}

	/** 
	 * 本条记录产生时间
	 */ 
	 
	private String reg_dtime;
	public String getReg_dtime() {
		return this.reg_dtime;
	}
	public void setReg_dtime(String reg_dtime) {
		this.reg_dtime = reg_dtime;
	}

	/** 
	 * 是否进行标签打印的标识

	 */ 
	 
	private String print_tp;
	public String getPrint_tp() {
		return this.print_tp;
	}
	public void setPrint_tp(String print_tp) {
		this.print_tp = print_tp;
	}

	/** 
	 * 实绩查询界面保存操作
	 */ 
	 
	private String work_ope_dtime;
	public String getWork_ope_dtime() {
		return this.work_ope_dtime;
	}
	public void setWork_ope_dtime(String work_ope_dtime) {
		this.work_ope_dtime = work_ope_dtime;
	}

	/** 
	 * 三级录入粗糙度
	 */ 
	 
	private String l3_rough;
	public String getL3_rough() {
		return this.l3_rough;
	}
	public void setL3_rough(String l3_rough) {
		this.l3_rough = l3_rough;
	}

	/** 
	 * null
	 */ 
	 
	private String wdlivno;
	public String getWdlivno() {
		return this.wdlivno;
	}
	public void setWdlivno(String wdlivno) {
		this.wdlivno = wdlivno;
	}

	/** 
	 * null
	 */ 
	 
	private String matrlendcoil;
	public String getMatrlendcoil() {
		return this.matrlendcoil;
	}
	public void setMatrlendcoil(String matrlendcoil) {
		this.matrlendcoil = matrlendcoil;
	}

	/** 
	 * 车辆号更改
	 */ 
	 
	private String chg_carno;
	public String getChg_carno() {
		return this.chg_carno;
	}
	public void setChg_carno(String chg_carno) {
		this.chg_carno = chg_carno;
	}

	/** 
	 * 产线
	 */ 
	 
	private String line_tp;
	public String getLine_tp() {
		return this.line_tp;
	}
	public void setLine_tp(String line_tp) {
		this.line_tp = line_tp;
	}

	/** 
	 * 返修标识
	 */ 
	 
	private String fan_xiu;
	public String getFan_xiu() {
		return this.fan_xiu;
	}
	public void setFan_xiu(String fan_xiu) {
		this.fan_xiu = fan_xiu;
	}

	/** 
	 * 改判标识
	 */ 
	 
	private String smp_stats;
	public String getSmp_stats() {
		return this.smp_stats;
	}
	public void setSmp_stats(String smp_stats) {
		this.smp_stats = smp_stats;
	}

	/** 
	 * 封闭原因
	 */ 
	 
	private String fb_reason;
	public String getFb_reason() {
		return this.fb_reason;
	}
	public void setFb_reason(String fb_reason) {
		this.fb_reason = fb_reason;
	}

}
